> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Real-time Orders

> Retrieve real-time orders for a specific instrument type, with optional inclusion of closed orders.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/orders
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/orders:
    get:
      tags:
        - Orders
      summary: Get Real-time Orders
      description: >-
        Retrieve real-time orders for a specific instrument type, with optional
        inclusion of closed orders.
      operationId: get_v1-orders-a589489acdda5ede406f167b78f8f45c
      parameters:
        - name: includeClosed
          in: query
          required: false
          schema:
            type: boolean
            nullable: true
        - name: instType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/InstrumentType'
        - name: symbol
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_GetOrdersRealTimeResponse'
      deprecated: false
components:
  schemas:
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_GetOrdersRealTimeResponse:
      title: ApiResponse_for_GetOrdersRealTimeResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetOrdersRealTimeResponse'
        error:
          type: boolean
    GetOrdersRealTimeResponse:
      type: object
      required:
        - orders
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/Order'
    Order:
      type: object
      required:
        - accountId
        - amountFilled
        - createdAt
        - id
        - instType
        - px
        - qty
        - side
        - size
        - status
        - symbol
        - timeInForce
        - type
        - unit
      properties:
        accountId:
          type: string
          format: uuid
        amountFilled:
          type: string
        cancelAt:
          type: integer
          format: int64
          nullable: true
        clientOrderId:
          type: string
          nullable: true
        createdAt:
          type: integer
          format: int64
        id:
          type: string
          format: uuid
        instType:
          $ref: '#/components/schemas/InstrumentType'
        px:
          type: string
        qty:
          type: string
        side:
          $ref: '#/components/schemas/OrderSide'
        size:
          type: string
        status:
          $ref: '#/components/schemas/OrderStatus'
        symbol:
          type: string
        timeInForce:
          $ref: '#/components/schemas/TimeInForce'
        triggerPx:
          type: string
          nullable: true
        triggeredAt:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/OrderType'
        unit:
          $ref: '#/components/schemas/BtcUnits'
    OrderSide:
      type: string
      enum:
        - buy
        - sell
    OrderStatus:
      type: string
      enum:
        - pendingsubmit
        - waitingtrigger
        - submitted
        - pendingcancel
        - partiallyfilled
        - partiallyfilledcancelled
        - filled
        - cancelled
        - rejected
        - inactive
    TimeInForce:
      type: string
      enum:
        - gtc
        - ioc
    OrderType:
      type: string
      enum:
        - limit
        - market
        - stop
        - stoplimit
        - take
        - takelimit
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````